Skip to main content
GET
/
micro_deposits
List all microdeposits for a user
curl --request GET \
  --url https://int-data.moneydesktop.com/micro_deposits \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "micro_deposits": [
    {
      "micro_deposit": {
        "account_name": "My Test Account",
        "account_number": "333312345",
        "account_type": 1,
        "account_type_name": "CHECKING",
        "created_at": "2021-09-01T18:29:06.000Z",
        "email": "example@example.com",
        "error_code": null,
        "error_message": null,
        "first_name": "Josh",
        "guid": "MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb",
        "institution_name": "MX Bank",
        "last_name": "James",
        "routing_number": 91000019,
        "status": 1,
        "status_name": "REQUESTED",
        "updated_at": "2021-09-01T18:29:07.000Z",
        "verified_at": "2021-09-01T18:29:07.000Z"
      }
    }
  ]
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Response

200 - application/vnd.mx.nexus.v1+json

OK

micro_deposits
object[]